/* eslint-disable no-prototype-builtins */
/*!
 * ioBroker gulpfile
 */
'use strict';

const gulp = require('gulp');
const fs = require('fs');
const pkg = require('./package.json');
const iopackage = require('./io-package.json');
const i18nextParser = require('i18next-parser').gulp;
//const cheerio = require('cheerio');
const version = (pkg && pkg.version) ? pkg.version : iopackage.common.version;

gulp.task('i18next', function(done) {

    gulp.src('./admin/*.html')
        .pipe(new i18nextParser(
            {
                html: [{
                    lexer: 'HtmlLexer',
                    attr: 'data-i18n',
                    optionAttr: 'i18n-options'
                }],
                verbose: true,
                failOnWarnings: true,
                locales: ['en', 'de', 'fr', 'es', 'pt', 'it', 'nl', 'pl', 'ru', 'ja', 'zh'],
                output: 'admin/i18n/$LOCALE/$NAMESPACE.json',
                namespaceSeparator: ':',
                createOldCatalogs: true,
                skipDefaultValues: false,
            }
        ))
        .pipe(gulp.dest('./'));
    done();
});

//gulp.task('default', 'i18next');
gulp.task('default', gulp.series('i18next'))
